Bug 1926607 - OpeImageIO needs rebuild for openvdb 8.0.1
Summary: OpeImageIO needs rebuild for openvdb 8.0.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenImageIO
Version: 33
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 08:13 UTC by Luya Tshimbalanga
Modified: 2021-02-17 05:09 UTC (History)
1 user (show)

Fixed In Version: OpenImageIO-2.1.20.0-2.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-17 05:09:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Luya Tshimbalanga 2021-02-09 08:13:43 UTC
Description of problem:
OpenImageIO needs an update due to the broken dependencies preventing Blender to build in addition of rebuild for openvdb 8.0.1

Version-Release number of selected component (if applicable):
2.1.20.0-1

How reproducible:
Always

Steps to Reproduce:
1. Attempt to build blender
2.
3.

Actual results:
4bit), but none of the providers can be installed
  - package OpenImageIO-devel-2.1.20.0-1.fc32.x86_64 requires libOpenImageIO_Util.so.2.1()(64bit), but none of the providers can be installed
  - package OpenImageIO-devel-2.1.20.0-1.fc32.x86_64 requires OpenImageIO(x86-64) = 2.1.20.0-1.fc32, but none of the providers can be installed
  - conflicting requests
  - nothing provides libopenvdb.so.7.0()(64bit) needed by OpenImageIO-2.1.20.0-1.fc32.x86_64

Expected results:
Build proceeds smoothly

Additional info:
https://koji.fedoraproject.org/koji/taskinfo?taskID=61645145

The issue affects both Fedora 33 and Fedora 32

Comment 1 Fedora Update System 2021-02-09 14:02:05 UTC
FEDORA-2021-2782226968 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2782226968

Comment 2 Fedora Update System 2021-02-09 14:02:06 UTC
FEDORA-2021-809b7ea711 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-809b7ea711

Comment 3 Fedora Update System 2021-02-10 00:44:25 UTC
FEDORA-2021-809b7ea711 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-809b7ea711`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-809b7ea711

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-02-10 01:47:19 UTC
FEDORA-2021-2782226968 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2782226968`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2782226968

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-02-17 05:09:13 UTC
FEDORA-2021-2782226968 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.